src/base/cs_tpar1d.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_tpar1d.h File Reference
`#include "cs_base.h"`
Include dependency graph for cs_tpar1d.h:

Go to the source code of this file.

## Functions
void | mait1d (cs_int_t *nf, cs_int_t n[], cs_real_t e[], cs_real_t r[], cs_real_t tp[])
void | tpar1d (cs_int_t *ii, cs_int_t *icdcle, cs_real_t *tf, cs_real_t *hf, cs_real_t *te, cs_real_t *he, cs_real_t *fe, cs_real_t *lb, cs_real_t *rocp, cs_real_t *dtf, cs_real_t *tp)
void | lect1d (const char *const nomsui, const cs_int_t *const lngnom, const cs_int_t *const nfpt1d, const cs_int_t *const nfpt1t, const cs_int_t *const nmxt1d, const cs_int_t *const nfabor, const cs_int_t *const nppt1d, const cs_int_t *const ifpt1d, const cs_real_t *const eppt1d, const cs_real_t *const rgpt1d, cs_real_t *const tppt1d CS_ARGF_SUPP_CHAINE)
void | ecrt1d (const char *const nomsui, const cs_int_t *const lngnom, const cs_int_t *const nfpt1d, const cs_int_t *const nmxt1d, const cs_int_t *const nfabor, const cs_real_t *const tppt1d, const cs_int_t *const ifpt1d CS_ARGF_SUPP_CHAINE)
void | lbrt1d (void)

## Function Documentation

void ecrt1d | ( | const char *const | nomsui,
|  | const cs_int_t *const | lngnom,
|  | const cs_int_t *const | nfpt1d,
|  | const cs_int_t *const | nmxt1d,
|  | const cs_int_t *const | nfabor,
|  | const cs_real_t *const | tppt1d,
|  | const cs_int_t *const ifpt1d | CS_ARGF_SUPP_CHAINE
| ) |  |

void lbrt1d | ( | void |  | ) |

void lect1d | ( | const char *const | nomsui,
|  | const cs_int_t *const | lngnom,
|  | const cs_int_t *const | nfpt1d,
|  | const cs_int_t *const | nfpt1t,
|  | const cs_int_t *const | nmxt1d,
|  | const cs_int_t *const | nfabor,
|  | const cs_int_t *const | nppt1d,
|  | const cs_int_t *const | ifpt1d,
|  | const cs_real_t *const | eppt1d,
|  | const cs_real_t *const | rgpt1d,
|  | cs_real_t *const tppt1d | CS_ARGF_SUPP_CHAINE
| ) |  |

void mait1d | ( | cs_int_t * | nf,
|  | cs_int_t | n[],
|  | cs_real_t | e[],
|  | cs_real_t | r[],
|  | cs_real_t | tp[]
| ) |  |

void tpar1d | ( | cs_int_t * | ii,
|  | cs_int_t * | icdcle,
|  | cs_real_t * | tf,
|  | cs_real_t * | hf,
|  | cs_real_t * | te,
|  | cs_real_t * | he,
|  | cs_real_t * | fe,
|  | cs_real_t * | lb,
|  | cs_real_t * | rocp,
|  | cs_real_t * | dtf,
|  | cs_real_t * | tp
| ) |  |